Subject: Comments on draft-ietf-l3vpn-ospfv3-pece-07

From: Nick Weeds <[email-masked]>
Date: Thu, 31 Mar 2011 11:47:32 +0100

Hi,

The changes in the new draft-ietf-l3vpn-ospfv3-07.txt draft look good, but I do have a couple of specific comments.

Section 4.3.2 / top of p10

The text says that a PE advertises the IPv6 route learned from MP-BGP to attached CEs via OSPFv3 if various conditions hold, including:

        "No OSPFv3 route to the same prefix exists in the VRF."

I think this is too restrictive.  The aim is to allow a choice between routing over the VPN and routing over an OSPF backdoor link.  The condition above would prevent routing over the VPN if there was already a route over an OSPF backdoor link.
I believe the correct condition would be that the OSPFv3 decision process selects the VPN route as the preferred route.

Section 4.3.2.3 / p11

The rules 1 and 2 for comparing OSPFv3 Domain IDs state how to compare the 6 value bytes but not how to compare the 2 type bytes.  I believe the rules should match RFC 4577 section 4.2.8.1 rules 1 and 3.  In other words, either (1) all 8 (not 6) bytes match, or (2) the 6 byte value fields of both attributes are all zeroes and the type bytes are ignored.  Note that in the first case the 2 type bytes must match and in the latter case they are ignored.

        Nick.

Nick Weeds
Software Engineer, Network Technologies Division
Metaswitch Networks
[email-masked]<mailto:[email-masked]>
+44 (0) 20 8366 1177
www.metaswitch.com<http://www.metaswitch.com/>